Package org.apache.felix.gogo.runtime.activator

# Class Activator

java.lang.Object
org.apache.felix.gogo.runtime.activator.Activator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

public class Activator extends Object implements org.osgi.framework.BundleActivator

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`CONTEXT`
`protected CommandProcessorImpl`
`processor`

## Constructor Summary

Constructors
Constructor
Description
`Activator()`

## Method Summary

Modifier and Type
Method
Description
`protected org.osgi.framework.ServiceRegistration`
`newProcessor(ThreadIO tio, org.osgi.framework.BundleContext context)`
`void`
`start(org.osgi.framework.BundleContext context)`
`void`
`stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### processor

protected CommandProcessorImpl processor

### CONTEXT

public static final String CONTEXT

See Also:
  - Constant Field Values

## Constructor Details

### Activator

public Activator()

## Method Details

### newProcessor

protected org.osgi.framework.ServiceRegistration newProcessor(ThreadIO tio, org.osgi.framework.BundleContext context)

### start

public void start(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`

### stop

public void stop(org.osgi.framework.BundleContext context) throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `Exception`